#pragma once

namespace cursor {

  extern float mouse_speed;
  extern float stick_speed;

  struct cursor {
    bool active;
    float x;
    float y;
    bool a;
    bool b;
    bool start;
  };

  extern struct cursor state[4];

  void init();
  void update();
}
